#include <iostream>
using namespace std;
int main(){
    int N,K,j;
    cin>>N>>K;
    int S[N];
    for(int i=0;i<N;i++){
        cin>>S[i];
        if(S[i]==K)j=i+1;
    }
    j==N?cout<<S[0]:cout<<S[j];
}